# List of all quantity discounts

Using this endpoint, you can get list of all quantity discounts with detailed info of each article (like in Detail of quantity discount endpoint) asynchronously. 


See how Asynchronous requests work on our developer's portal.


Response will be in jsonlines format with each quantity discount taking one line of output file.


One quantity discount in response has the same format as in detail of quantity discount endpoint response. See Quantity discount snapshot schema for more details. 


Result file is compressed using GZIP.

Endpoint: GET /api/quantity-discounts/snapshot
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `customerGroupCode` (string)
    customer group code, possible values can be get by customer group list endpoint
    Example: "retail"

  - `validFrom` (string)
    date of discount validity - lower limit
    Example: "2028-05-28"

  - `validTo` (string)
    date of discount validity - upper limit
    Example: "2028-05-28"

  - `status` (string)
    status of discount, possible values are available, unavailable, expired, planned
    Example: "available"

  - `isActive` (boolean)
    whether or not discount is active
    Example: true

  - `includeUnregisteredCustomers` (boolean)
    whether or not discount is valid for unregistered customers
    Example: true

## Header parameters:

  - `Content-Type` (string, required)

## Response 202 fields (application/json):

  - `data` (object)

  - `data.jobId` (string, required)
    token of job

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


